<?php
/**
 * The template used for displaying logo_slider
 *
 * @package Signify
 */
?>
<?php
$enable_logo_slider = get_theme_mod( 'signify_logo_slider_option', 'disabled' );

if ( ! signify_check_section( $enable_logo_slider ) ) {
	return;
}

$classes[] = 'signify-logo-slider-section section';

$signify_type = get_theme_mod( 'signify_logo_slider_type', 'category' );

$classes[] = $signify_type;

$signify_sub_title   = get_theme_mod( 'signify_logo_slider_sub_title' );
$signify_title       = get_theme_mod( 'signify_logo_slider_title' );
$signify_description = get_theme_mod( 'signify_logo_slider_description' );

if ( ! $signify_sub_title && ! $signify_title && ! $signify_description ) {
	$classes[] = 'no-section-heading';
}
?>
<div id="signify-logo-slider-section" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<div class="wrapper">
		<?php signify_section_header( $signify_sub_title, $signify_title, $signify_description ); ?>

		<div class="section-content-wrapper signify-logo-slider-content-wrapper owl-carousel<?php echo get_theme_mod( 'signify_logo_slider_dots', 0 ) ? '' : ' owl-dots-enabled'; ?>">
			<?php
			// Select Slider
			if ( 'post' === $signify_type || 'page' === $signify_type || 'category' === $signify_type ) {
				get_template_part( 'template-parts/logo-slider/post-type-logo-slider' );
			} elseif ( 'custom' === $signify_type ) {
				get_template_part( 'template-parts/logo-slider/custom-logo-slider' );
			}
			?>
		</div><!-- .section-content-wrapper  -->	
	</div><!-- .wrapper -->
</div><!-- #signify-logo-slider-section -->
